{
  "format_version": "1.10.0",
  "minecraft:client_entity": {
    "description": {
      "identifier": "add:juan_shield",
      "materials": { "default": "entity_alphatest" },
      "textures": {
        "diamond": "textures/entity/shield_diamond",
        "stone": "textures/entity/shield_stone",
        "gold": "textures/entity/shield_gold",
        "iron": "textures/entity/shield_iron",
        "obsidian": "textures/entity/shield_obsidian",
        "netherite": "textures/entity/shield_netherite"
      },
      "geometry": {
        "default": "geometry.spartan_item",
        "gold": "geometry.goldspartan_item"
      },
      "animations": {
        "rotation": "animation.shield.rotate"
      },
      "scripts": {
        "animate": [
          "rotation"
        ]
      },
      "render_controllers": [ "controller.render.shield_items" ]
    }
  }
}